Bug 37930 - Use Maven 2.x for site generation and possibly build
Use Maven 2.x for site generation and possibly build
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Other
1.3alpha
Other All
: P2 normal
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks: 43488
  Show dependency tree
 
Reported: 2005-12-16 02:20 UTC by Curt Arnold
Modified: 2007-05-15 14:34 UTC (History)
1 user (show)



Attachments
Patch to add jmdk as dependency (452 bytes, patch)
2006-11-14 02:10 UTC, Asgeir Nilsen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Curt Arnold 2005-12-16 02:20:56 UTC
Maven is a Software Project Management tool (http://maven.apache.org).  One of
the primary benefits of supporting and possibly migrating to Maven is generation
of the log4j web site allowing the current unmaintainable site generation code
to slowly fade away.

To build log4j with Maven 2.x (as of the initial commit on this bug):

1. Install Maven 2.0.x
2. Obtain required Sun Jars and install

mvn install:install-file -Dfile=jaf-1.0.2/activation.jar \
    -DgroupId=javax.activation \
    -DartifactId=activation -Dversion=1.0.2 -Dpackaging=jar

mvn install:install-file -Dfile=javamail-1.3.2/mail.jar \
    -DgroupId=javax.mail \
    -DartifactId=mail -Dversion=1.3.3 -Dpackaging=jar


mvn install:install-file -Dfile=jms1.1/lib/jms.jar \
    -DgroupId=javax.jms \
    -DartifactId=jms -Dversion=1.1 -Dpackaging=jar


mvn install:install-file -Dfile=jmx-1_2_1-bin/lib/jmxri.jar \
    -DgroupId=com.sun.jmx \
    -DartifactId=jmxri -Dversion=1.2.1 -Dpackaging=jar

3. Build log4j.jar 

mvn jar:jar

4. Build site

mvn site
Comment 1 Ceki Gulcu 2005-12-16 09:33:42 UTC
Unmaintainable? Really? 

The site generate uses the same mechnism as Jakarta itself. So, I
would not treat it as completely alien. Second, have you tried to
modify anything and were not successul? I cannot recall any such
attempt but that might be just me.
Comment 2 Curt Arnold 2005-12-16 21:13:20 UTC
I'm reopening the bug and starting a discussion on log4j-dev.  Marking the bug as resolved/fixed isn't 
appropriate, it either needs to be changed to WONTFIX and the changes that Mark and I have made rolled 
back or left open for additional work to be done.  At the present time the Maven work is experimental and 
does not disrupt the existing site generation code or build process.  
Comment 3 Asgeir Nilsen 2006-08-15 08:59:32 UTC
I had to add the following to the pom.xml to get it to build:

  <dependency>
    <groupId>com.sun.jdmk</groupId>
    <artifactId>jmxtools</artifactId>
    <version>1.2.1</version>
  </dependency>

Install the jar using the following:
mvn install:install-file -DgroupId=com.sun.jdmk -DartifactId=jmxtools
-Dversion=1.2.1 -Dpackaging=jar -Dfile=/.../jmx-1_2_1-bin/lib/jmxtools.jar
Comment 4 Asgeir Nilsen 2006-11-14 02:10:30 UTC
Created attachment 19125 [details]
Patch to add jmdk as dependency

Patch to add this dependency.
Comment 5 Curt Arnold 2007-05-15 14:34:44 UTC
Closing in prep for 1.2.15 release.